/**
 * 
 */
package tileworld.environment;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;
import java.awt.image.ImageProducer;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import sim.portrayal.Portrayal;
import sim.portrayal.simple.ImagePortrayal2D;
import sim.portrayal.simple.OvalPortrayal2D;

/**
 * TWFuelStation
 *
 * @author michaellees
 * Created: Apr 16, 2010
 *
 * Copyright michaellees 2010
 *
 *
 * Description:
 *
 * Fueling station - one created at the beginning of the simulation.
 *
 */
public class TWFuelStation extends TWEntity {

    public TWFuelStation(int x, int y, TWEnvironment env) {
		super(x,y,env);
    }

    @Override
    protected void move(TWDirection d) {
        throw new UnsupportedOperationException("You cannot move the Fuel Station.");
    }


     public static Portrayal getPortrayal(){
        //green filled box.
        
        BufferedImage img = null;
        try {
            img = ImageIO.read(new File("house2.png"));
            return new ImagePortrayal2D(img);
        } catch (IOException e) {
            return new OvalPortrayal2D(new Color(1.0f,1.0f,0.0f), true);
        }
        
    }

}
